-- initial configuration for Phyxo

INSERT INTO phyxo_config (param,value,type,comment) VALUES ('activate_comments','true','boolean','Global parameter for usage of comments system');
INSERT INTO phyxo_config (param,value,type,comment) VALUES ('nb_comment_page','10','integer','number of comments to display on each page');
INSERT INTO phyxo_config (param,value,type,comment) VALUES ('log','true','boolean','keep an history of visits on your website');
INSERT INTO phyxo_config (param,value,type,comment) VALUES ('comments_validation','false','boolean','administrators validate users comments before becoming visible');
INSERT INTO phyxo_config (param,value,type,comment) VALUES ('comments_forall','false','boolean','even guest not registered can post comments');
INSERT INTO phyxo_config (param,value,type,comment) VALUES ('comments_order','ASC','string','comments order on picture page and cie');
INSERT INTO phyxo_config (param,value,type,comment) VALUES ('comments_author_mandatory','false','boolean','Comment author is mandatory');
INSERT INTO phyxo_config (param,value,type,comment) VALUES ('comments_email_mandatory','false','boolean','Comment email is mandatory');
INSERT INTO phyxo_config (param,value,type,comment) VALUES ('comments_enable_website','true','boolean','Enable "website" field on add comment form');
INSERT INTO phyxo_config (param,value,type,comment) VALUES ('derivatives','Tjs=','base64','Derivatives parameters');
INSERT INTO phyxo_config (param,value,type,comment) VALUES ('user_can_delete_comment','false','boolean','administrators can allow user delete their own comments');
INSERT INTO phyxo_config (param,value,type,comment) VALUES ('user_can_edit_comment','false','boolean','administrators can allow user edit their own comments');
INSERT INTO phyxo_config (param,value,type,comment) VALUES ('email_admin_on_comment_edition','false','boolean','Send an email to the administrators when a comment is modified');
INSERT INTO phyxo_config (param,value,type,comment) VALUES ('email_admin_on_comment_deletion','false','boolean','Send an email to the administrators when a comment is deleted');
INSERT INTO phyxo_config (param,value,type,comment) VALUES ('gallery_locked','false','boolean','Lock your gallery temporary for non admin users');
INSERT INTO phyxo_config (param,value,type,comment) VALUES ('rate','true','boolean','Rating pictures feature is enabled');
INSERT INTO phyxo_config (param,value,type,comment) VALUES ('rate_anonymous','true','boolean','Rating pictures feature is also enabled for visitors');
INSERT INTO phyxo_config (param,value,type,comment) VALUES ('history_admin','false','boolean','keep a history of administrator visits on your website');
INSERT INTO phyxo_config (param,value,type,comment) VALUES ('history_guest','true','boolean','keep a history of guest visits on your website');
INSERT INTO phyxo_config (param,value,type,comment) VALUES ('allow_user_registration','true','boolean','allow visitors to register?');
INSERT INTO phyxo_config (param,value,type,comment) VALUES ('allow_user_customization','true','boolean','allow users to customize their gallery?');
INSERT INTO phyxo_config (param,value,type,comment) VALUES ('nb_categories_page','12','integer','Param for categories pagination');
INSERT INTO phyxo_config (param,value,type,comment) VALUES ('nbm_send_html_mail','true','boolean','Send mail on HTML format for notification by mail');
INSERT INTO phyxo_config (param,value,type,comment) VALUES ('nbm_send_mail_as','','string','Send mail as param value for notification by mail');
INSERT INTO phyxo_config (param,value,type,comment) VALUES ('nbm_send_detailed_content','true','boolean','Send detailed content for notification by mail');
INSERT INTO phyxo_config (param,value,type,comment) VALUES ('nbm_complementary_mail_content','','string','Complementary mail content for notification by mail');
INSERT INTO phyxo_config (param,value,type,comment) VALUES ('nbm_send_recent_post_dates','true','boolean','Send recent post by dates for notification by mail');
INSERT INTO phyxo_config (param,value,type,comment) VALUES ('email_admin_on_new_user','false','boolean','Send an email to theadministrators when a user registers');
INSERT INTO phyxo_config (param,value,type,comment) VALUES ('email_admin_on_comment','false','boolean','Send an email to the administrators when a valid comment is entered');
INSERT INTO phyxo_config (param,value,type,comment) VALUES ('email_admin_on_comment_validation','true','boolean','Send an email to the administrators when a comment requires validation');
INSERT INTO phyxo_config (param,value,type,comment) VALUES ('obligatory_user_mail_address','false','boolean','Mail address is obligatory for users');
INSERT INTO phyxo_config (param,value,type,comment) VALUES ('blk_menubar','{}','json','Menubar options');
INSERT INTO phyxo_config (param,value,type,comment) VALUES ('menubar_filter_icon','false','boolean','Display filter icon');
INSERT INTO phyxo_config (param,value,type,comment) VALUES ('index_sort_order_input','true','boolean', 'Display image order selection list');
INSERT INTO phyxo_config (param,value,type,comment) VALUES ('index_flat_icon','false','boolean','Display flat icon');
INSERT INTO phyxo_config (param,value,type,comment) VALUES ('index_posted_date_icon','true','boolean','Display calendar by posted date');
INSERT INTO phyxo_config (param,value,type,comment) VALUES ('index_created_date_icon','true','boolean','Display calendar by creation date icon');
INSERT INTO phyxo_config (param,value,type,comment) VALUES ('index_new_icon','true','boolean','Display new icons next albums and pictures');
INSERT INTO phyxo_config (param,value,type,comment) VALUES ('picture_metadata_icon','true','boolean','Display metadata icon on picture page');
INSERT INTO phyxo_config (param,value,type,comment) VALUES ('picture_favorite_icon','true','boolean','Display favorite icon on picture page');
INSERT INTO phyxo_config (param,value,type,comment) VALUES ('picture_download_icon','true','boolean','Display download icon on picture page');
INSERT INTO phyxo_config (param,value,type,comment) VALUES ('picture_navigation_icons','true','boolean','Display navigation icons on picture page');
INSERT INTO phyxo_config (param,value,type,comment) VALUES ('picture_navigation_thumb','true','boolean','Display navigation thumbnails on picture page');
INSERT INTO phyxo_config (param,value,type,comment) VALUES ('picture_menu','false','boolean','Show menubar on picture page');
INSERT INTO phyxo_config (param,value,type,comment) VALUES ('picture_informations','{"author":true,"created_on":true,"posted_on":true,"dimensions":false,"file":false,"filesize":false,"tags":true,"categories":true,"visits":true,"rating_score":true,"privacy_level":true}','json','Information displayed on picture page');
INSERT INTO phyxo_config (param,value,type,comment) VALUES ('week_starts_on','monday','string','Monday may not be the first day of the week');
INSERT INTO phyxo_config (param,value,type,comment) VALUES ('updates_ignored','{"plugins":[],"themes":[],"languages":[]}','json','Extensions ignored for update');
INSERT INTO phyxo_config (param,value,type,comment) VALUES ('order_by','[["date_available", "DESC"], ["file", "ASC"], ["id", "ASC"]]','json','default photo order');
INSERT INTO phyxo_config (param,value,type,comment) VALUES ('order_by_inside_category','[["date_available", "DESC"], ["file", "ASC"], ["id", "ASC"]]','json','default photo order inside category');
INSERT INTO phyxo_config (param,value,type) VALUES ('original_resize','false','boolean');
INSERT INTO phyxo_config (param,value,type) VALUES ('original_resize_maxwidth','2016','integer');
INSERT INTO phyxo_config (param,value,type) VALUES ('original_resize_maxheight','2016','integer');
INSERT INTO phyxo_config (param,value,type) VALUES ('original_resize_quality','95','integer');
INSERT INTO phyxo_config (param,value,type) VALUES ('mail_theme','clear','string');

INSERT INTO phyxo_config (param,value,type) VALUES ('tags_permission_add','','string');
INSERT INTO phyxo_config (param,value,type) VALUES ('tags_permission_delete','','string');
INSERT INTO phyxo_config (param,value,type) VALUES ('tags_existing_tags_only','false','boolean');
INSERT INTO phyxo_config (param,value,type) VALUES ('publish_tags_immediately','false','boolean');
INSERT INTO phyxo_config (param,value,type) VALUES ('delete_tags_immediately','false','boolean');
INSERT INTO phyxo_config (param,value,type) VALUES ('show_pending_added_tags','false','boolean');
INSERT INTO phyxo_config (param,value,type) VALUES ('show_pending_deleted_tags','false','boolean');
